*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}
.container{
    width: 100vw;
    height: 100vh;
    overflow:hidden ;
}
.header{
    background-color: #B8ACF6;
    display: flex;
    flex-direction: column;
    /* gap: 1rem; */
    padding: 2rem 4rem;
}
.header h1{
    font-size: 2.5rem;
    color: azure;
    text-align: center;
}
.controls-container{
    display: flex;
    gap: 2rem; 
    align-items: center;
    justify-content: space-between;   
}
.array-details{
    display: flex;
    height: 100%;
    width: 100%;
    background-color: #DCDFE4;
}
#array-container{
    display: flex;
    gap: .2%;
    width: 85%;
    height: 71%;
    align-items: end;
    
}
#array-container div{
    background-color: #B8ACF6;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}
.input-control{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.input label{
    color: azure;
    font-size: larger;
    font-weight: 600;
    display: flex;
    justify-content: space-between;
    gap: 2rem;
}
.input span{
    color: #575799;
}
.input{
    display: flex;
    flex-direction: column;
    gap: .2rem;
}
.input input{
    width: 100%;
}
.btns{
    background-color: #9d9dcc;
    color: azure;
    border: 1px solid azure;
    padding: .3rem .5rem;
    font-size: 1rem;
    cursor: pointer;
    border-radius: 10px;
    transition: 300ms;
}
.btns:hover{
    font-weight: 700;
    background-color: #575799;
}
input[type="range"]{
    appearance: none;
    border-radius: 10px;
    border: none;
    height: 10px;
    background:linear-gradient(90deg, #a6a6db, #575799);
    background-color: #DCDFE4;
    background-repeat: no-repeat;
    cursor: pointer;
    transition: border 300ms;
}
input[type="range"]:hover{
    border: 2px solid azure;
}

input[type="range"]::-webkit-slider-thumb{
    appearance: none;
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 50%;
    background-color: azure;
    box-shadow: 0px 0px 20px 0px #575799;
    transition: 300ms;
}
input[type="range"]::-webkit-slider-thumb:hover{
    background-color: #575799;
    border: 2px solid azure;
}
.sorts{
    display: flex;
    gap: 1rem;
}
.complexity-container{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    width: 15%;
    height: 71%;
}
.time-container{
    display: flex;
    flex-direction: column;
}
.complexity-container h2{
    color: #575799;
}
.time{
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #B8ACF6;
    width: fit-content;
    padding: .5rem 1rem;
    border-radius: 10px;
    color: azure;
    border: 2px solid #575799;
}
.time h3{
    color: azure;
}
.time span{
    font-weight: 700;
    font-size: 1.5rem;
    color: #575799;
}
.time-container{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
}
.active{
    background-color: #575799;
}